/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * Dambach-Werke GmbH
 * Elektronische Leitsysteme
 * Fritz-Minhardt-Str. 1
 * 76456 Kuppenheim
 * Phone: +49-7222-402-0
 * Fax: +49-7222-402-200
 * mailto: info@els.dambach.de
 */

package de.bsvrz.ste.rdstmc.verkehrsanalyse;

import de.bsvrz.ste.rdstmc.allgemein.StoerfallZustand;


public class StoerfallSituationDaten
{
  public StoerfallSituationDaten(StoerfallZustand zustand, long start, long ende, Stoerfall lokal)
  {
    this.zustand = zustand;
    this.start = start;
    this.ende = ende;
    this.lokal = lokal;
  }

  public StoerfallSituationDaten(StoerfallSituationDaten daten) 
  {
    this(daten.zustand, daten.start, daten.ende, daten.lokal);
  }
  
  public boolean equals(Object obj)
  {
    if (obj instanceof StoerfallSituationDaten)
    {
      StoerfallSituationDaten daten = (StoerfallSituationDaten)obj;
      return (
      zustand == daten.zustand &&
      start == daten.start &&
      ende == daten.ende &&
      lokal == daten.lokal);
    }
    else
    {
      return false;
    }
  }
   
  public final StoerfallZustand zustand;
  
  public final long start;
  
  public final long ende;
  
  public final Stoerfall lokal;
     
}  
  
  

